> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/mutations/shopping-list/shopping-list-2.md).

# Bulk Check/Uncheck Items

Use `toggleShoppingListItems`to simultaneously make a bulk change to the isDone status of many shopping list items.

Please note that this mutation will automatically toggle the isDone value. You don't need to pass a true or false value. In other words, if the value is currently false, then calling this mutation will make it true and vice versa.

#### Available Arguments

| Arguments     | Type   | Description                                     | Required? |
| ------------- | ------ | ----------------------------------------------- | --------- |
| `itemIds`     | `UUID` | List of list item ids.                          | Yes       |
| `isAggregate` | `Bool` | **True** if the id is from the aggregation view | Yes       |

### Example

{% tabs %}
{% tab title="Mutation" %}

```graphql
mutation toggleShoppingListItems {
  toggleShoppingListItems(itemIds: [
    "11e0f56f-de4f-43e9-98b6-3ec0e70b5adc", 
    "105be039-9693-4afd-992a-33ff29754cdc"], 
    isAggregate: false) 
  {
    success message
  }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "toggleShoppingListItem": {
      "success": true
    }
  }
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
The isAggregate value must be true if the itemID comes from the shopping list aggregate.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/mutations/shopping-list/shopping-list-2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
